Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 5690 - corrupted RPMs at ftp://rawhide.redhat.com?
Summary: corrupted RPMs at ftp://rawhide.redhat.com?
Keywords:
Status: CLOSED NOTABUG
Alias: None
Product: Red Hat Raw Hide
Classification: Retired
Component: rpm
Version: 1.0
Hardware: i386
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Jeff Johnson
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 1999-10-07 19:24 UTC by dunwoody
Modified: 2008-05-01 15:37 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 1999-10-08 15:29:55 UTC


Attachments (Terms of Use)

Description dunwoody 1999-10-07 19:24:39 UTC
Every time I download a .rpm file, I check it with
rpm -K --nopgp.  I downloaded a bunch of rpms today from
ftp://rawhide.redhat.com/rawhide/i386/RedHat/RPMS/, and
some of them failed the rpm -K --nopgp test with the error
"md5 GPG NOT OK".  I am using ncftp-3.0beta19-1 and
rpm-3.0.3-0.32.

I'm wondering if these rpms are really corrupted, or is
there some problem with my test?  Most of the rpms I
downloaded today did pass the rpm -K --nogpgp test just
fine.

The following rpms failed the test after I downloaded them:

gimp-libgimp-1.0.4-5.i386.rpm: ERROR checksig failed
gtk+-1.2.5-2.i386.rpm: ERROR checksig failed
isapnptools-1.18c-1.i386.rpm: ERROR checksig failed
kdebase-1.1.2-11.i386.rpm: ERROR checksig failed
knfsd-1.4.7-7.i386.rpm: ERROR checksig failed
knfsd-clients-1.4.7-7.i386.rpm: ERROR checksig failed
mkbootdisk-1.2.2-1.i386.rpm: ERROR checksig failed
ncftp-3.0beta19-2.i386.rpm: ERROR checksig failed
ncurses-4.2-25.i386.rpm: ERROR checksig failed
ncurses-devel-4.2-25.i386.rpm: ERROR checksig failed
pam-0.68-7.i386.rpm: ERROR checksig failed
passwd-0.63-1.i386.rpm: ERROR checksig failed
rmt-0.4b4-11.i386.rpm: ERROR checksig failed
rpm-3.0.3-2.i386.rpm: ERROR checksig failed
rpmfind-1.2-4.i386.rpm: ERROR checksig failed
sendmail-cf-8.9.3-15.i386.rpm: ERROR checksig failed
sendmail-doc-8.9.3-15.i386.rpm: ERROR checksig failed
sysklogd-1.3.31-12.i386.rpm: ERROR checksig failed
tcsh-6.08.00-6.i386.rpm: ERROR checksig failed
telnet-0.10-31.i386.rpm: ERROR checksig failed

Comment 1 Bill Nottingham 1999-10-07 21:31:59 UTC
They're signed with GPG, not PGP. To omit the check, do --nogpg.
(GPG is Gnu Privacy Guard, http://www.gnupg.org/)


Note You need to log in before you can comment on or make changes to this bug.